JcePublicKeyDataDecryptorFactoryBuilder
Date: 2016-06-23

org.bouncycastle.openpgp.operator.jcajce

## Class JcePublicKeyDataDecryptorFactoryBuilder

- java.lang.Object
- - org.bouncycastle.openpgp.operator.jcajce.JcePublicKeyDataDecryptorFactoryBuilder

-     public class JcePublicKeyDataDecryptorFactoryBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePublicKeyDataDecryptorFactoryBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PublicKeyDataDecryptorFactory` | `build(PGPPrivateKey privKey)`
    `PublicKeyDataDecryptorFactory` | `build(java.security.PrivateKey privKey)`
    `JcePublicKeyDataDecryptorFactoryBuilder` | `setContentProvider(java.security.Provider provider)`
    `JcePublicKeyDataDecryptorFactoryBuilder` | `setContentProvider(java.lang.String providerName)`
    `JcePublicKeyDataDecryptorFactoryBuilder` | `setProvider(java.security.Provider provider)` Set the provider object to use for creating cryptographic primitives in the resulting factory the builder produces.
    `JcePublicKeyDataDecryptorFactoryBuilder` | `setProvider(java.lang.String providerName)` Set the provider name to use for creating cryptographic primitives in the resulting factory the builder produces.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePublicKeyDataDecryptorFactoryBuilder

          public JcePublicKeyDataDecryptorFactoryBuilder()

  - ### Method Detail

    - #### setProvider

          public JcePublicKeyDataDecryptorFactoryBuilder setProvider(java.security.Provider provider)

      Set the provider object to use for creating cryptographic primitives in the resulting factory the builder produces.
      Parameters:
        `provider` - provider object for cryptographic primitives.
      Returns:
        the current builder.

    - #### setProvider

          public JcePublicKeyDataDecryptorFactoryBuilder setProvider(java.lang.String providerName)

      Set the provider name to use for creating cryptographic primitives in the resulting factory the builder produces.
      Parameters:
        `providerName` - the name of the provider to reference for cryptographic primitives.
      Returns:
        the current builder.

    - #### setContentProvider

          public JcePublicKeyDataDecryptorFactoryBuilder setContentProvider(java.security.Provider provider)

    - #### setContentProvider

          public JcePublicKeyDataDecryptorFactoryBuilder setContentProvider(java.lang.String providerName)

    - #### build

          public PublicKeyDataDecryptorFactory build(java.security.PrivateKey privKey)

    - #### build

          public PublicKeyDataDecryptorFactory build(PGPPrivateKey privKey)